petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDASetGetMatrix

Sets the routine used by the DMDA to allocate a matrix.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetGetMatrix(DM da,PetscErrorCode (*f)(DM, Mat*))

Logically Collective on DMDA

### Input Parameters

| da | - the DMDA object
| f | - the function that allocates the matrix for that specific DMDA

Notes: See DMDASetBlockFills() that provides a simple way to provide the nonzero structure for the diagonal and off-diagonal blocks of the matrix

### See Also

DMCreateMatrix(), DMDASetBlockFills()

Level:developer
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages